Makefile not installing GD::Polyline

Do you have a question? Post it now! No Registration Necessary.  Now with pictures!

Threaded View

I seem to be having an issue with the GD-2.23 generated Makefile.  It isn't
installing GD::Polyline or GD::Simple or their man pages on my system.  This
is a change from 2.11 which I'm upgrading from.  2.11 installed GD::Polyline,
but not GD::Simple... I get the impression from the README that this is the
expected behavior.

I don't see any references to special handing of GD::Polyline in the README or
other documentation, so I'm assuming that it is expected to be installed by
the Makefile.  I haven't been able to turn up anything about this in google

My execution of Makefile.PL is simple.. I'm only specifying the location to
libgd, and a base install prefix (we need a custom install location).

Normally I wouldn't care that a couple files weren't installed, and I'd just
install them manually.  However, I'm trying to package the module for our
systems, so missing files are much more of an inconvenience.

Using the standard install prefix, the files that *are* being installed are:

Build and system details are included below... and I can do any other
troubleshooting required to help track down the problem.

Thanks in advance for any help.
   Matt Pounsett

configured using:
perl Makefile.PL -lib_gd_path /usr/lib

Configuring for libgd version 2.0.33.
GD library used from:       /usr/lib

System details:
RedHat Edge Server release 3, fully updated as of today
Perl 5.8.0 (RHES RPM)
libgd 2.0.33
libjpeg 6b
freetype 2.1.4
libpng 1.2.2

Re: Makefile not installing GD::Polyline

Quoted text here. Click to load it

They don't get installed for me either on Win32. This looks wrong to me (at
least wrt - there is still a test script for GD::Polyline
(which passes because ./GD/ exists when the tests are being
run) - so, if it's being tested, you would expect it to be installed.

You should probably let the author know  and let *him* sort it out - or you
could sort it out for him if you feel so diposed.

For a simple solution just copy to the appropriate location
within your perl installation.


Re: Makefile not installing GD::Polyline

Quoted text here. Click to load it

Yeah, that's what I thought.  Okay.. so at least it's not just me.  

Quoted text here. Click to load it

I posted here intitially at the author's request (as per his README).. but
since it's clearly a bug, I'll drop him a line.

Quoted text here. Click to load it

Normally I'd do that, but doing that during the packaging process involves
a kludge that, while not complicated, I'd still rather avoid.


Re: Makefile not installing GD::Polyline

Quoted text here. Click to load it

Since originally emailing the author, I've had time to take a poke at this
myself.  It turns out to be a painfully simple change, once you've had a
gander at the MakeMaker docs.   I'm sending this to the author as well:

diff -uNr GD-2.23-orig/Makefile.PL GD-2.23/Makefile.PL
--- GD-2.23-orig/Makefile.PL    2005-03-09 16:01:40.000000000 -0500
+++ GD-2.23/Makefile.PL 2005-07-13 12:49:28.000000000 -0400
@@ -230,7 +230,8 @@
     'PREREQ_PM' => {
                    'Math::Trig' => 0,
-    'PM'        => { '' => '$(INST_LIBDIR)/'},
+    'PM'        => { '' => '$(INST_LIBDIR)/' , 'GD/' =>
+'$(INST_LIBDIR)/GD/' },
     'dist'      => {'COMPRESS'=>'gzip -9f', 'SUFFIX' => 'gz',
     'LIBS'      => [join(' ',$ENV,@LIBPATH,@LIBS)],

Site Timeline